For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
          • Orders
            • GETList Orders
            • POSTCreate Order
            • GETList Order Images
            • GETList Order Products
            • GETGet Order Details
            • GETList Ordered Products
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontOrders

List Order Images

GET
https://api-b2b.bigcommerce.com/api/v2/orders/images
GET
/api/v2/orders/images
$curl -G https://api-b2b.bigcommerce.com/api/v2/orders/images \
> -H "Authorization: Bearer <token>" \
> -d "orderIds[]=123"
200Retrieved
1{
2 "code": 1,
3 "message": "SUCCESS",
4 "data": [
5 {
6 "orderId": 123,
7 "imageUrl": "https://mybcstore.com/images/products/12345/main.jpg"
8 }
9 ]
10}
Retrieves product image URLs based on the `orderIds[]` value in the parameters. You can return images for multiple orders by adding a separate `orderIds[]` parameter for each order. Equivalent Storefront GraphQL API Query: `orderImages`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

Create Order

Next

List Order Products

Built with

Retrieves product image URLs based on the orderIds[] value in the parameters. You can return images for multiple orders by adding a separate orderIds[] parameter for each order.

Equivalent Storefront GraphQL API Query: orderImages. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Query parameters

orderIds[]stringRequired

The BigCommerce order ID. This parameter does not accept the B2B Edition order ID returned in certain Server to Server Orders endpoints.

This parameter is not an array, but you can filter for multiple order statuses by including additional orderIds[] parameters in the query. For example, ?orderIds[]=123&orderIds[]=124.

Response

OK
codeinteger
HTTP Response Code
messagestringDefaults to SUCCESS
Response message
datalist of objects